Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.j2ssh.forwarding
Interface ForwardingChannel

All Known Implementing Classes:
  ForwardingBindingChannel, ForwardingChannelImpl, ForwardingIOChannel, ForwardingSocketChannel

public interface ForwardingChannel

DOCUMENT ME!

Field Summary
`static java.lang.String` | `LOCAL_FORWARDING_CHANNEL` DOCUMENT ME!
`static java.lang.String` | `REMOTE_FORWARDING_CHANNEL` DOCUMENT ME!
`static java.lang.String` | `X11_FORWARDING_CHANNEL` DOCUMENT ME!

Method Summary
`java.lang.String` | `getChannelType()`
`java.lang.String` | `getHostToConnectOrBind()` DOCUMENT ME!
`java.lang.String` | `getOriginatingHost()` DOCUMENT ME!
`int` | `getOriginatingPort()` DOCUMENT ME!
`int` | `getPortToConnectOrBind()` DOCUMENT ME!

Field Detail

### X11_FORWARDING_CHANNEL

    public static final java.lang.String X11_FORWARDING_CHANNEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### LOCAL_FORWARDING_CHANNEL

    public static final java.lang.String LOCAL_FORWARDING_CHANNEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

### REMOTE_FORWARDING_CHANNEL

    public static final java.lang.String REMOTE_FORWARDING_CHANNEL

  DOCUMENT ME!

  See Also:
    Constant Field Values

Method Detail

### getChannelType

    public java.lang.String getChannelType()

### getOriginatingHost

    public java.lang.String getOriginatingHost()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getOriginatingPort

    public int getOriginatingPort()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getHostToConnectOrBind

    public java.lang.String getHostToConnectOrBind()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

### getPortToConnectOrBind

    public int getPortToConnectOrBind()

  DOCUMENT ME!

  Returns:
    DOCUMENT ME!

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD